FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » FUDforum Failed decompressing the archive (During 1st instalation of ver 2.8.1 (resolved))
Show: Today's Messages :: Unread Messages :: Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Return to the default flat view Create a new topic Submit Reply
FUDforum Failed decompressing the archive [message #159449] Wed, 03 June 2009 11:44 Go to previous message
The Witcher is currently offline  The Witcher   United States
Messages: 673
Registered: May 2009
Location: USA
Karma:
Senior Member
add to buddy list
ignore all messages by this user
On my 1st installation using a zip archive with zlib compression, I received this error when going to page 2:

Warning: gzuncompress() [function.gzuncompress]: data error in /home/.server/user/Domain.name/install.php on line 560
Failed decompressing the archive


Rather than piddle around with trying to interpret the error all day I loaded the zip archive without zlib, and on installation I encountered this error when going to page 2:

Archive did not pass checksum test, CORRUPT ARCHIVE!
If you've encountered this error it means that you've:
downloaded a corrupt archive
uploaded the archive in ASCII and not BINARY mode
your FTP Server/Decompression software/Operating System added un-needed cartrige return (' ') characters to the archive, resulting in archive corruption.


Obviously I did not use a corrupt archive since both were new downloads, so I moved to the next error uploading as (ASCII/BINARY).

Since I use FileZilla as an FTP client, I changed the "transfer type" by clicking transfer> transfer type> and selecting Binary as opposed to Auto (which appears to be the default mode for FileZilla).

And program uploaded and installed without error!
Conclusion: use Binary to upload and transfer installation and critical files (slower but better) and I like it when the Developers incorporate trouble shooting information into the error codes...... I like it a lot!




"I'm a Witcher, I solve human problems; not always using a sword!"
[Message index]
 
Read Message
Read Message
Read Message icon6.gif
Previous Topic: Duplicate posts, using maillist.php
Next Topic: Fatal error when upgrading to 2.8.1 from 2.7.7 RESOLVED
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Fri May 20 04:17:16 EDT 2022

Total time taken to generate the page: 0.05145 seconds